=head1 NAME


XXV::MODULES::EPG



=head1 SYNOPSIS

  use XXV::MODULES::EPG;
  my  = XXV::MODULES::EPG->new(
    -config => $Config,
    -dbh    => $DBH,
    -realbin=> $RealBin,
  );


=head1 VERSION

0.45 - 21.09.2005

=head1 DESCRIPTION

Dieses Modul liest neue EPG Daten und speichert diese in der Datenbank.

=head1 CONFIGURATION

=over 4



=item * epgfile

Wo die Datei epg.data im System gespeichert ist.

=over 4

=item default value: /video/epg.data

=item type: file

=item required: Yes

=back





=item * epgimages

Position von zusätzlichen EPG Bildern.

=over 4

=item default value: /var/cache/vdrdevel/epgimages

=item type: dir

=item required: No

=back





=item * interval

Der Intervall zum Einlesen von neuen EPG Daten in die Datenbank in Sekunden

=over 4

=item default value: 300

=item type: integer

=item required: Yes

=back





=item * periods

Die bevorzugten Programmzeiten (Kommagetrenne Liste)

=over 4

=item default value: 12:00,18:00,20:15,22:00

=item type: string

=item required: Yes

=back





=item * restart

Der Intervall in Stunden(!), zwischen dem vollen Neueinlesen der EPG Daten.

=over 4

=item default value: 3

=item type: integer

=item required: Yes

=back





=item * timeframe

Wieviel im Schema anzuzeigen Stunden

=over 4

=item default value: 2

=item type: integer

=item required: Yes

=back





=back

=head1 COMMANDS

=over 4



=item *  conflict ()





=item *  display (d)

Zeige Programmereignis 'eventid'



=item *  epurge (ep)

Löscht alle EPG Einträge und startet den Abfrageprozess neu.



=item *  erestart (er)

Starte den EPG-Abfrageprozess neu



=item *  estatus (et)

Status der EPG-Daten



=item *  next (nx)

Zeige Ereignisse, welche als nächstes laufen.



=item *  now (n)

Zeige Ereignisse, welche aktuell laufen.



=item *  program (p)

Zeige Programm für Kanal 'Kanalname'



=item *  schema (sch)

Zeige Ereignisse in einer übersichtlichen Weise



=item *  search (s)

Suche in EPG-Daten



=back

=head1 SEE ALSO

XXV

=head1 AUTHOR

Copyright (C) 2004, xpix. All rights reserved.

=cut
